Supprimer un événement
Dans cet extrait de code, vous apprendrez comment supprimer un événement.
Exemple
Veillez à ce que les variables suivantes soient réglées sur les valeurs souhaitées en utilisant toute méthode appropriée :
| Clé | Description |
|---|---|
CONVERSATION_ID | The ID of the Conversation. |
EVENT_ID | The unique ID of the Event |
Conditions préalables
You will need to use an existing Application that contains a Conversation in order to be able to create an Event, and then delete one. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Rédiger le code
Ajouter ce qui suit à delete-event.sh:
curl -X "DELETE" "https://api.nexmo.com/v1/conversations/$CONV_ID/events/$CONV_EVENT_ID" \
-H 'Authorization: Bearer '$JWT\
-H 'Content-Type: application/json'Exécutez votre code
Enregistrez ce fichier sur votre machine et exécutez-le :
Conditions préalables
You will need to use an existing Application that contains a Conversation in order to be able to create an Event, and then delete one. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
npm install @vonage/server-sdkCréez un fichier nommé delete-event.js et ajoutez le code suivant :
const { Vonage } = require('@vonage/server-sdk');
const vonage = new Vonage({
applicationId: VONAGE_APPLICATION_ID,
privateKey: VONAGE_PRIVATE_KEY,
});Rédiger le code
Ajouter ce qui suit à delete-event.js:
vonage.conversations.deleteEvent(CONV_ID, CONV_EVENT_ID)
.then(() => console.log('Event deleted'))
.catch((error) => console.error(error));Exécutez votre code
Enregistrez ce fichier sur votre machine et exécutez-le :
Conditions préalables
You will need to use an existing Application that contains a Conversation in order to be able to create an Event, and then delete one. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Ajouter ce qui suit à build.gradle:
implementation 'com.vonage:server-sdk:9.3.1'Créez un fichier nommé DeleteEvent et ajoutez le code suivant à la méthode main:
VonageClient client = VonageClient.builder()
.applicationId(VONAGE_APPLICATION_ID)
.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
.build();Rédiger le code
Ajouter ce qui suit à la méthode main du fichier DeleteEvent:
client.getConversationsClient().deleteEvent(CONV_ID, CONV_EVENT_ID);Exécutez votre code
Nous pouvons utiliser le plugin Applications pour Gradle afin de simplifier l'exécution de notre application. Mettez à jour votre build.gradle avec ce qui suit :
apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''Exécutez la commande gradle suivante pour exécuter votre application, en remplaçant com.vonage.quickstart.conversation par le paquet contenant DeleteEvent:
Conditions préalables
You will need to use an existing Application that contains a Conversation in order to be able to create an Event, and then delete one. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
Install-Package VonageCréez un fichier nommé DeleteEvent.cs et ajoutez le code suivant :
using System;
using System.Threading.Tasks;
using Newtonsoft.Json;
using Vonage;
using Vonage.Conversations.DeleteEvent;
using Vonage.Request;Ajouter ce qui suit à DeleteEvent.cs:
var credentials = Credentials.FromAppIdAndPrivateKeyPath(VONAGE_APPLICATION_ID, VONAGE_PRIVATE_KEY_PATH);
var client = new VonageClient(credentials);Rédiger le code
Ajouter ce qui suit à DeleteEvent.cs:
var response = await client.ConversationsClient.DeleteEventAsync(DeleteEventRequest.Parse(CONV_ID, CONV_EVENT_ID));Conditions préalables
You will need to use an existing Application that contains a Conversation in order to be able to create an Event, and then delete one. See the Create Conversation code snippet for information on how to create an Application and some sample Conversations.
composer require vonage/clientCréez un fichier nommé delete-event.php et ajoutez le code suivant :
Exécutez votre code
Enregistrez ce fichier sur votre machine et exécutez-le :
Essayez-le
Lorsque vous exécutez le code, vous supprimez l'événement spécifié.